Page MenuHomePhabricator

Transwiki image import
Open, MediumPublic

Description

It would be very useful to have a clean way to import images into another wiki,
especially into a central repository like Commons. Maybe the same mechanism
could be used by non-wikiemdia wikis to import images from Commons or Wikipedia.
The import should include the image description (all revisions), and
(optionally?) all versions of the file. For a clean import of the description-
and upload history, a shared userbase (aka single login) would probably be required.

Some suggestions for the implementation:

  • There should be an image-import permission, so this feature can be restricted

to sysops if desired.

  • The list of possible source wikis should be fixed. Some per-source

configuration is probably required.

  • The import interface should be a special page.
  • The import should have two stages: in the first, the source wiki and file to

import is specified. In the second, the import can be further refined.

  • The image to transfer should be shown in the second step, to avoid mistakes.
  • A checklist of image versions could be presented, so the user can choose which

versions can be ignored.

  • The imported description text should be shown for further editing. The user

importing the file would become the author of a new revision of the description
text.

  • The imported description text could be mangeled automatically, to insert

interwiki-prefixes into links, convert well known templates (esp. license tags),
etc.

  • The description text (all revisions) could be imported using the

Special:Export interface, if direct access to the wiki's database is not
possible. This could be configured on a per-source-wiki basis.

  • The Special:Export interface would need to get an option to export the upload

history of a file.

  • The files themselves could be copyied on-disk, if the upload directories of

source and target wiki are on the same server (which is the case for most
wikimedia wikis, but not all). If that is not the case, the images can be loaded
via HTTP, perhaps using Special:Filepath

  • Since the import potentially involves quite a bit of slow and unreliable

interaction over the net, care must be taken to implement transactinal logic in
order to prevent partial/broken imports.

A clean & easy way to transfer images between wikis has often been requested. I
am putting this here to have a place for tracking and discussing the issue, and
collection thoughts on the technical side of things.


Version: unspecified
Severity: enhancement

Details

Reference
bz6071

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 9:20 PM
bzimport set Reference to bz6071.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.May 24 2006, 10:35 AM

jus168jih wrote:

There are no users at Wikimedia Commons with importing privileges. Even I,
User:Jusjih there as an admin, get "No transwiki import sources have been
defined and direct history uploads are disabled." How may I get importing
privilege at Wikimedia Commons?

ayg wrote:

I *could* be wrong, but don't brion's changes to import make this FIXED? It
just needs to be enabled for Commons (presumably import from any project should
be possible). Unless the changes don't allow images to be transferred; I'm not
sure.

The import sources has to be defined for every Wikimedia-Wiki separately. Then
every admin of this wiki can do the import. But only for articles up to 100
revisions and import of images are not possible yet.

This request is about importing *images* along with the neccessary upload
history and license tags. This is related to, but quite different from what
Special:Import does. Please keep that separate. For a working image import,
several issues would have to be resolved first, such as mapping license tags and
user names, aids for categorization, etc - not to mention the transfer of the
image itself. Image import is, unlike a text import, not a streight copy.
That's what this request is about.

ayg wrote:

(In reply to comment #4)

For a working image import,
several issues would have to be resolved first, such as mapping license tags and
user names, aids for categorization, etc - not to mention the transfer of the
image itself. Image import is, unlike a text import, not a streight copy.
That's what this request is about.

Ah, I see. Good point.

robchur wrote:

*** Bug 11439 has been marked as a duplicate of this bug. ***

Mass compoment change: <some> -> Export/Import

rehman.wikimedia wrote:

Whats's the current status of this bug?

demon added a comment.Feb 1 2011, 3:06 PM

(In reply to comment #8)

Whats's the current status of this bug?

It still needs bug 13827 to be resolved, see the dependency list.

  • Bug 27082 has been marked as a duplicate of this bug. ***

rehman.wikimedia wrote:

Sad this is moving so slow. It would really help in the huge Move-To-Commons backlogs, and also more importantly, help save the original history...

Qgil added a comment.Mar 21 2014, 4:46 PM

This old request is blocked by the also old Bug 13827 - Add image data option to Special:Export

Please check my question at the other blocker report about the convenience of promoting this task as a possible project for out outreach programs.

mxn added a subscriber: mxn.Nov 24 2014, 8:52 PM
demon removed a subscriber: demon.Dec 16 2014, 7:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2015, 7:19 PM
jayvdb added a subscriber: jayvdb.Aug 1 2016, 10:13 AM
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 5:57 PM